aboutsummaryrefslogtreecommitdiff
path: root/security/tor-devel
diff options
context:
space:
mode:
Diffstat (limited to 'security/tor-devel')
-rw-r--r--security/tor-devel/files/patch-contrib-tor.sh.in29
1 files changed, 29 insertions, 0 deletions
diff --git a/security/tor-devel/files/patch-contrib-tor.sh.in b/security/tor-devel/files/patch-contrib-tor.sh.in
new file mode 100644
index 000000000000..74fa8978a719
--- /dev/null
+++ b/security/tor-devel/files/patch-contrib-tor.sh.in
@@ -0,0 +1,29 @@
+--- contrib/tor.sh.in.orig Sat Jan 29 20:41:19 2005
++++ contrib/tor.sh.in Sat Jan 29 20:46:14 2005
+@@ -5,12 +5,12 @@
+ # chkconfig: 2345 90 10
+ # description: Onion Router
+
+-TORUSER=
+-TORGROUP=
++TORUSER=_tor
++TORGROUP=_tor
+ TORBIN=@BINDIR@/tor
+-TORPID=@LOCALSTATEDIR@/run/tor/tor.pid
+-TORLOG=@LOCALSTATEDIR@/log/tor/tor.log
+-TORDATA=@LOCALSTATEDIR@/lib/tor
++TORPID=/var/run/tor.pid
++TORLOG=/var/log/tor.log
++TORDATA=/var/db/tor/data
+
+ TORCONF=@CONFDIR@/torrc
+ # Strictly speaking, we don't need to su if we have --user and --group.
+@@ -36,7 +36,7 @@
+ if [ "x$TORUSER" = "x" ]; then
+ $TORBIN -f $TORCONF $TORARGS
+ else
+- /bin/su -c "$TORBIN -f $TORCONF $TORARGS" $TORUSER
++ /usr/bin/su $TORUSER -c "$TORBIN -f $TORCONF $TORARGS"
+ fi
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ]; then